Public Attributes | List of all members
_hal_pdm_callback Struct Reference
Peripheral Driver » HAL Driver » PDM » Callback Structures » PDM Callback

HAL PDM Callback function definition. More...

`#include <gr55xx_hal_pdm.h>`

## Public Attributes
void(* | pdm_msp_init )(pdm_handle_t *p_pdm)
void(* | pdm_msp_deinit )(pdm_handle_t *p_pdm)
void(* | pdm_left_overflow_callback )(pdm_handle_t *p_pdm)
void(* | pdm_right_overflow_callback )(pdm_handle_t *p_pdm)
void(* | pdm_dma_cplt_callback )(pdm_handle_t *p_pdm)
void(* | pdm_dma_blk_callback )(pdm_handle_t *p_pdm)
void(* | pdm_dma_error_callback )(pdm_handle_t *p_pdm)

## Detailed Description

HAL PDM Callback function definition.

Definition at line 125 of file gr55xx_hal_pdm.h.

## Member Data Documentation

## ◆ pdm_dma_blk_callback

void(* _hal_pdm_callback::pdm_dma_blk_callback) (pdm_handle_t *p_pdm)

PDM dma blocks completed callback

Definition at line 132 of file gr55xx_hal_pdm.h.

## ◆ pdm_dma_cplt_callback

void(* _hal_pdm_callback::pdm_dma_cplt_callback) (pdm_handle_t *p_pdm)

PDM dma completed callback

Definition at line 131 of file gr55xx_hal_pdm.h.

## ◆ pdm_dma_error_callback

void(* _hal_pdm_callback::pdm_dma_error_callback) (pdm_handle_t *p_pdm)

PDM error callback

Definition at line 133 of file gr55xx_hal_pdm.h.

## ◆ pdm_left_overflow_callback

void(* _hal_pdm_callback::pdm_left_overflow_callback) (pdm_handle_t *p_pdm)

PDM left channel overflow callback

Definition at line 129 of file gr55xx_hal_pdm.h.

## ◆ pdm_msp_deinit

void(* _hal_pdm_callback::pdm_msp_deinit) (pdm_handle_t *p_pdm)

PDM de-init MSP callback

Definition at line 128 of file gr55xx_hal_pdm.h.

## ◆ pdm_msp_init

void(* _hal_pdm_callback::pdm_msp_init) (pdm_handle_t *p_pdm)

PDM init MSP callback

Definition at line 127 of file gr55xx_hal_pdm.h.

## ◆ pdm_right_overflow_callback

void(* _hal_pdm_callback::pdm_right_overflow_callback) (pdm_handle_t *p_pdm)

PDM right channel overflow callback

Definition at line 130 of file gr55xx_hal_pdm.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_pdm.h